Package org.apache.sling.cms.reference.forms

## Class FormException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.sling.cms.reference.forms.FormException

All Implemented Interfaces:
  `Serializable`

    public class FormException
    extends Exception

An exception to indicate problems occurred with form processing.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`FormException​(String message)` Construct a new FormException with only a message
`FormException​(String message, Throwable cause)` Construct a new FormException with only a message

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FormException

    public FormException​(String message)

Construct a new FormException with only a message

Parameters:
  `message` - the message to indicate the cause of the exception

#### FormException

    public FormException​(String message,
                         Throwable cause)

Construct a new FormException with only a message

Parameters:
  `message` - the message to indicate the cause of the exception
  `cause` - the cause of this exception